OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_LabelList Class Reference

`#include <TDF_LabelList.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_LabelList ()
Standard_EXPORT void | Assign (const TDF_LabelList &Other)
void | operator= (const TDF_LabelList &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~TDF_LabelList ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const TDF_Label &I)
Standard_EXPORT void | Prepend (const TDF_Label &I, TDF_ListIteratorOfLabelList &theIt)
Standard_EXPORT void | Prepend (TDF_LabelList &Other)
Standard_EXPORT void | Append (const TDF_Label &I)
Standard_EXPORT void | Append (const TDF_Label &I, TDF_ListIteratorOfLabelList &theIt)
Standard_EXPORT void | Append (TDF_LabelList &Other)
Standard_EXPORT TDF_Label & | First () const
Standard_EXPORT TDF_Label & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (TDF_ListIteratorOfLabelList &It)
Standard_EXPORT void | InsertBefore (const TDF_Label &I, TDF_ListIteratorOfLabelList &It)
Standard_EXPORT void | InsertBefore (TDF_LabelList &Other, TDF_ListIteratorOfLabelList &It)
Standard_EXPORT void | InsertAfter (const TDF_Label &I, TDF_ListIteratorOfLabelList &It)
Standard_EXPORT void | InsertAfter (TDF_LabelList &Other, TDF_ListIteratorOfLabelList &It)
## Private Member Functions
Standard_EXPORT | TDF_LabelList (const TDF_LabelList &Other)
## Private Attributes
Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT TDF_LabelList::TDF_LabelList | ( |  | ) |

TDF_LabelList::~TDF_LabelList | ( |  | ) | `[inline]`

Standard_EXPORT TDF_LabelList::TDF_LabelList | ( | const TDF_LabelList & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TDF_LabelList::Append | ( | TDF_LabelList & | Other | ) |

Standard_EXPORT void TDF_LabelList::Append | ( | const TDF_Label & | I,
|  | TDF_ListIteratorOfLabelList & | theIt
| ) |

Standard_EXPORT void TDF_LabelList::Append | ( | const TDF_Label & | I | ) |

Standard_EXPORT void TDF_LabelList::Assign | ( | const TDF_LabelList & | Other | ) |

Standard_EXPORT void TDF_LabelList::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer TDF_LabelList::Extent | ( |  | ) | const

Standard_EXPORT TDF_Label& TDF_LabelList::First | ( |  | ) | const

Standard_EXPORT void TDF_LabelList::InsertAfter | ( | TDF_LabelList & | Other,
|  | TDF_ListIteratorOfLabelList & | It
| ) |

Standard_EXPORT void TDF_LabelList::InsertAfter | ( | const TDF_Label & | I,
|  | TDF_ListIteratorOfLabelList & | It
| ) |

Standard_EXPORT void TDF_LabelList::InsertBefore | ( | TDF_LabelList & | Other,
|  | TDF_ListIteratorOfLabelList & | It
| ) |

Standard_EXPORT void TDF_LabelList::InsertBefore | ( | const TDF_Label & | I,
|  | TDF_ListIteratorOfLabelList & | It
| ) |

Standard_Boolean TDF_LabelList::IsEmpty | ( |  | ) | const

Standard_EXPORT TDF_Label& TDF_LabelList::Last | ( |  | ) | const

void TDF_LabelList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_LabelList::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_LabelList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void TDF_LabelList::operator= | ( | const TDF_LabelList & | Other | ) | `[inline]`

Standard_EXPORT void TDF_LabelList::Prepend | ( | TDF_LabelList & | Other | ) |

Standard_EXPORT void TDF_LabelList::Prepend | ( | const TDF_Label & | I,
|  | TDF_ListIteratorOfLabelList & | theIt
| ) |

Standard_EXPORT void TDF_LabelList::Prepend | ( | const TDF_Label & | I | ) |

Standard_EXPORT void TDF_LabelList::Remove | ( | TDF_ListIteratorOfLabelList & | It | ) |

Standard_EXPORT void TDF_LabelList::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address TDF_LabelList::myFirst`[private]`

Standard_Address TDF_LabelList::myLast`[private]`

The documentation for this class was generated from the following file:

- TDF_LabelList.hxx